/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec 
<cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

// SendMailDialog.h: interface for the SendMailDialog class.
//
//////////////////////////////////////////////////////////////////////

#ifndef SEND_MAIL_DIALOG_H
#define SEND_MAIL_DIALOG_H

#include <QtGui>
#include "QtSmtp.h"

class SendMailDialog : public QDialog  
{
	Q_OBJECT

public:
	SendMailDialog(QWidget *parent = 0, Qt::WindowFlags f = 0);
	QtSmtp *getSmtp();
	virtual ~SendMailDialog();

protected:
	QtSmtp *mSmtp;
	QPushButton *mBreak;
	QLabel *mLabel;
	QProgressBar *mProgress;

public slots:
	void smtpMessageSend();
	void smtpErrorOccured(const QString &error);
	void smtpProgressStep();
};

#endif
